#
# spec file for package perl-Unix-Syslog
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Unix-Syslog
%define cpan_name Unix-Syslog
Summary:        Perl interface to the UNIX syslog(3) calls
Version:        1.1
Release:        20.43
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Unix-Syslog/
Source:         %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
This module provides an interface to the system logger syslogd(8) via
Perl's XSUBs. The implementation attempts to resemble the native libc-
functions of your system, so that anyone being familiar with syslog.h
should be able to use this module right away.

Authors:
--------
    Marcus Harnisch <marcus.harnisch@gmx.net>


%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Artistic Changes README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Apr 16 2010 chris@computersalat.de
- update to 1.1
  - Clearly marked MSWin32 systems as unsupported. (How do
    64bit Windows system identify themselves?)
  - Fixed bug that caused Perl to segfault when closelog() was
    called before openlog().
- 1.0   Tue Oct 2 22:22:43 2007
  - Bumped version number to 1.0.
  - License has changed to Artistic 2.0!
  - (Syslog.pm) Get rid of `require AutoLoader', which was wrong
    to begin with.
- cleanup spec
  o recreated with cpanspec
  o fixed deps
  * removed perl-Convert-BER perl-URI
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Feb 27 2004 ug@suse.de
- version update from 0.98 to 0.100
- Added functions priorityname() and facilityname()
- Updated docs
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 22 2003 mls@suse.de
- adapt to perl-5.8.1
* Tue Jun 17 2003 ug@suse.de
- added missing directory to files-section
* Mon Aug  5 2002 link@suse.de
- renamed from perl-Syslog to perl-Unix-Syslog
- updated to 0.98
- overhauled spec file
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Sun Jan 13 2002 link@suse.de
- update to v0.97
* Wed Nov 15 2000 ro@suse.de
- use BuildRoot
- fix neededforbuild
* Wed Nov 15 2000 ro@suse.de
- renamed package perl_log to perl-Syslog
* Wed May 24 2000 ug@suse.de
- added to distribution
